Bug 71404 - interface is too vertically oriented/has an ineffecient layout
Summary: interface is too vertically oriented/has an ineffecient layout
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-services (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-13 05:04 UTC by Jens Knutson
Modified: 2007-04-18 16:45 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-01 19:40:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The before "picture" (1.56 KB, text/plain)
2002-08-13 05:05 UTC, Jens Knutson
no flags Details
the After "picture" (1.36 KB, text/plain)
2002-08-13 05:06 UTC, Jens Knutson
no flags Details
Serviceconf with new interface (18.39 KB, image/png)
2002-08-20 12:39 UTC, Daniel Walsh
no flags Details
Serviceconf with new interface (18.39 KB, image/png)
2002-08-20 12:40 UTC, Daniel Walsh
no flags Details

Description Jens Knutson 2002-08-13 05:04:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020712

Description of problem:
Serviceconf's interface could stand for a bit of reshuffling, IMHO.  

Attached is two ASCII "art" files, the first is an ASCII rendition of the
original, for quick reference, and the second is my suggestion on what I think
might improve the layout.

Basically the change is taking the service description and moving it to a
right-hand pane instead of stacking it underneath the already very long vertical
list of services.  The changed version is more visually pleasing, and will be a
*great* improvement for people who run at 640x480 or 800x600, as it makes good
use of horizontal space as well as vertical.

Comment 1 Jens Knutson 2002-08-13 05:05:44 UTC
Created attachment 70224 [details]
The before "picture"

Comment 2 Jens Knutson 2002-08-13 05:06:35 UTC
Created attachment 70225 [details]
the After "picture"

Comment 3 Daniel Walsh 2002-08-19 20:01:30 UTC
I like your suggestion it maybe too late to get it in the next release though.

Dan

Comment 4 Jens Knutson 2002-08-19 21:28:07 UTC
Yeah, it probably is too late...  though if you can manage to sneak it past the
release engineers, you'll hear no complaints from me. ;-)

However, seeing it go into 8.1 would be very nice, too.  If it is too late for
8.0 (or if we're being coy, "whatever version (null) turns into"), do I need to
change anything on this bug to see it get forwarded on as an RFE for
redhac-config-services in the next release?  I'd hate for this to get lost. :-)

Comment 5 Daniel Walsh 2002-08-20 12:39:59 UTC
Created attachment 71585 [details]
Serviceconf with new interface

Comment 6 Daniel Walsh 2002-08-20 12:40:08 UTC
Created attachment 71586 [details]
Serviceconf with new interface

Comment 7 Daniel Walsh 2002-08-20 12:41:46 UTC
It did not make the final beta so it will have to wait for the follow on release.
I will make the changes to it after the release.

Comment 8 Jens Knutson 2002-08-20 16:32:52 UTC
Perfect!  That's exactly what I was talking about!

I've got a lot of other comments on the design of some of the other tools, and I
know not all of them will be as simple as this, and not all of the ideas will be
used, but I have to say this really inspires one to want to help you guys out. 
  :-)

Comment 9 Daniel Walsh 2002-10-02 15:08:39 UTC
Fixed in redhat-config-services-0.8.3-1

Will be in rawhide soon.


Note You need to log in before you can comment on or make changes to this bug.